## udpkg 0.024

=== debian/changelog ===
udpkg (0.024) unstable; urgency=low

  * Use /var/lib/dpkg/status, not /var/lib/dpkg/status.udeb.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Mar 2004 16:02:25 -0500

udpkg (0.023) unstable; urgency=low

  * Call trimtemplates (from lowmem) on templates files before loading.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Mar 2004 16:00:38 -0500

udpkg (0.022) unstable; urgency=low

  * Delete templates files after calling debconf-loadtemplates, to save space.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Mar 2004 15:11:30 -0500

udpkg (0.021) unstable; urgency=low

  * Update to debhelper v4 and use debhelper's udeb support.

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Feb 2004 19:25:10 -0500

udpkg (0.020) unstable; urgency=low

  * Petter Reinholdtsen
    - Report arch 'sparc' instead of 'sparc64' on UltraSparc.
      Patch from Thomas Poindessous. (Closes: #227851)
  * Bastian Blank
    - Remove runtime detection of debian architecture.

 -- Bastian Blank <waldi@debian.org>  Sat, 24 Jan 2004 18:57:24 +0100

udpkg (0.019) unstable; urgency=low

  * Thiemo Seufer
    - Add CFLAGS for warnings and space optimization.
  * Joey Hess
    - Use architecture "powerpc" for ppc64, patch from Anton Blanchard.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Dec 2003 14:41:14 -0500

udpkg (0.018) unstable; urgency=low

  * Don't use di_exec_shell_log for -f, because it has undefined behvaior
    that does not include printing out what dpkg is supported to print
    out. This should un-break the floppy retreiver.

 -- Joey Hess <joeyh@debian.org>  Sun,  2 Nov 2003 02:24:46 -0500

udpkg (0.017) unstable; urgency=low

  * Karsten Merker
    - fix mipsel architecture detection for "udpkg --print-architecture"
      (udpkg wrongly reported "mips" instead of "mipsel" on mipsel systems)

 -- Karsten Merker <merker@debian.org>  Sat, 1 Nov 2003 22:15:03 +0100

udpkg (0.016) unstable; urgency=low

  * Matt Kraai
    - Check the return values of commands (closes: #197922).
    - Use di_exec_shell_log instead of system.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 19 Oct 2003 17:47:02 +0200

udpkg (0.015) unstable; urgency=low

  * Move to Standards-Version 3.6.0, converting changelog to UTF-8
  * Sebastian Ley
    - Really output nothing if setting UDPKG_QUIET
    - Pass the exitcode of postinst scripts when they fail

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 28 Sep 2003 14:47:30 +0200

udpkg (0.014) unstable; urgency=low

  * Bastian Blank
    - add "exec" to the configure calls, ash isn't able to optimize the fork
      away if it should execute only one command
  * Tollef Fog Heen
    - Add powerpc to xlattbl (closes: #194933)
  * Petter Reinholdtsen
    - Add myself as uploader.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Jul 2003 09:09:06 +0200

udpkg (0.013) unstable; urgency=low

  * Bastian Blank
    - use tar -z
    - builds .list only once (Closes: #190030)
  * Martin Sjögren
    - Add compile-time flag for the -r command (remove package). This also
      means we don't have to generate the .list files at all.

 -- Bastian Blank <waldi@debian.org>  Sun, 04 May 2003 14:54:09 +0200

udpkg (0.012) unstable; urgency=low

  * Print the package name if its postinst exits unsuccessfully.
  * Remove extra leading space from multi-line fields.

 -- Matt Kraai <kraai@debian.org>  Tue, 11 Feb 2003 21:25:28 -0800

udpkg (0.011) unstable; urgency=low

  * added ia64 architecture.
  * fix support for long options and add --force-configure which always
    runs the configure script

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 26 Nov 2002 04:16:02 +0100

udpkg (0.010) unstable; urgency=low

  * Martin Sjögren
    - Add --fields (-f) flag to print the contents of a package control file

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 13 Nov 2002 18:28:54 +0100

udpkg (0.009) unstable; urgency=low

  * waldi: add s390 architecture.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 24 Oct 2002 12:52:33 +0200

udpkg (0.008) unstable; urgency=low

  * Add --print-architecture for use in maintainer scripts.

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 14 Oct 2002 05:48:15 +0200

udpkg (0.007) unstable; urgency=low

  * Apply asprintf patch from Martin Sjögren.

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 30 Aug 2002 17:19:16 +0200

udpkg (0.006) unstable; urgency=low

  * Add support for localized descriptions (tfheen)
  * Call debconf-loadtemplates if there is a templates file.
  * Add menutest and isinstallable to list of maintainer scripts (cjwatson)

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 21 Apr 2002 11:40:11 +0200

udpkg (0.005) unstable; urgency=medium

  * Fix makefile (closes: #142110)
  * Fix CPP string concatenations

 -- Randolph Chung <tausq@debian.org>  Tue,  9 Apr 2002 23:21:29 -0700

udpkg (0.004) unstable; urgency=low

  * fixes builddeps (closes: #86934) 

 -- Randolph Chung <tausq@debian.org>  Wed, 21 Feb 2001 21:00:45 -0700

udpkg (0.003) unstable; urgency=low

  * Patch from David Wedon to fix half-installed/installed status
    confusion. Closes: #80239

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Dec 2000 17:22:29 -0800

udpkg (0.002) unstable; urgency=low

  * de-relavatized paths. Use with caution, this will work just like real
    dpkg now, except it's more buggy!

 -- Joey Hess <joey@kitenet.net>  Thu, 21 Dec 2000 14:26:04 -0800

udpkg (0.001) unstable; urgency=low

  * Non-release.

 -- Joey Hess <joeyh@debian.org>  Thu, 26 Oct 2000 12:02:04 -0700

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	CFLAGS="-W -Wall -Os" ./configure --without-depends --without-debug \
		--without-remove --with-admindir=/var/lib/dpkg
	$(MAKE) small
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install udpkg usr/bin 
	dh_installdirs var/lib/dpkg/info

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## udpkg 1.00

=== Makefile ===
# This is just the bootstrapping makefile; the one to build udpkg is makefile

all: configure
	./configure && make

configure: configure.in
	autoconf

.PHONY: clean distclean

=== debian/changelog ===
udpkg (1.00) unstable; urgency=low

  * Colin Watson
    - dpkg_doconfigure returns di_exec_mangle_status of the postinst rather
      than just WEXITSTATUS, so that a segfaulting postinst doesn't send
      main-menu into an infinite loop.
  * Joey Hess
    - Call this release 1.00.

 -- Joey Hess <joeyh@debian.org>  Fri,  3 Sep 2004 16:08:31 -0400

=== debian/control ===
Source: udpkg
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Petter Reinholdtsen <pere@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libdebian-installer4-dev
Standards-Version: 3.6.0

Package: udpkg
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: Tiny dpkg clone
 This is a tiny dpkg clone for the Debian installer. It's not suitable for
 use on a real Debian system.

## udpkg 1.01

=== debian/changelog ===
udpkg (1.01) unstable; urgency=low

  [ Joey Hess ]
  * -fomit-frame-pointer saves some space.
  * Add myself to uploaders.
  * Remove useless extended description and standards-version.
  * Clean up autoconf usage and update to current version of autoconf.
  * Fix a few warnings.

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Jun 2005 16:45:04 -0400

=== debian/control ===
Source: udpkg
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libdebian-installer4-dev, autoconf

Package: udpkg
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: tiny dpkg clone

## udpkg 1.03

=== debian/changelog ===
udpkg (1.03) unstable; urgency=low

  [ Tollef Fog Heen ]
  * Handle packages with weird characters in the package name properly
    when unpacking the control files.  This means packages like
    some-modules-2.6.12 can have postinsts, earlier they got lost.

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 25 Oct 2005 16:09:28 +0200

udpkg (1.02) unstable; urgency=low

  [ Colin Watson ]
  * Use memory allocation routines from libdebian-installer so that
    out-of-memory conditions are detected.

  [ Petter Reinholdtsen ]
  * Remove myself as uploaders.  Leaving this package to others in the
    debian-boot team.

  [ Frans Pop ]
  * Also accept "Installer-Menu-Item" in control files; needed as a
    result of #306474.
  * Add myself to uploaders.

  [ Joey Hess ]
  * Use case insensitive comparisons when finding status fields.

 -- Frans Pop <fjp@debian.org>  Sun,  4 Sep 2005 23:25:15 +0200

=== debian/control ===
Source: udpkg
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libdebian-installer4-dev, autoconf

Package: udpkg
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: tiny dpkg clone

## udpkg 1.04

=== debian/changelog ===
udpkg (1.04) unstable; urgency=low

  [ Sylvain Ferriol ]
  * add STATUS_STATUSINSTALLED to STATUS_STATUSMASK
  * add remove functionality (dpkg_remove function)

  [ Joey Hess ]
  * Rebuilt with current libd-i to fix udeb deps.

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Mar 2006 15:30:43 -0500

=== debian/control ===
Source: udpkg
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.7.0), libdebian-installer4-dev (>= 0.41), autoconf

Package: udpkg
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: tiny dpkg clone

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,12 @@
 #!/usr/bin/make -f
+
+export CFLAGS=-W -Wall -g
 
 build: build-stamp
 build-stamp:
 	dh_testdir
-	CFLAGS="-W -Wall -Os" ./configure --without-depends --without-debug \
+	autoconf
+	./configure --without-depends --without-debug \
 		--without-remove --with-admindir=/var/lib/dpkg
 	$(MAKE) small
 	touch build-stamp
@@ -13,7 +16,7 @@
 	dh_testroot
 	rm -f build-stamp
 	-$(MAKE) distclean
-	dh_clean
+	dh_clean configure
 
 install: build
 	dh_testdir

## udpkg 1.05

=== debian/changelog ===
udpkg (1.05) unstable; urgency=low

  [ Colin Watson ]
  * Make current autoheader happier with configure.ac.
  * Fix compiler warning in status_print.
  * Rename configure --without-l18n option to --without-l10n, and fix the
    code so that l10n actually gets enabled when this option is not used.
  * Build the udeb --without-l10n, as apparently we were effectively doing
    that anyway and I can't think of anything in d-i that would actually use
    localised descriptions right now.
  * Make udpkg build cleanly with -Wwrite-strings and -Wmissing-prototypes.
  * Add a HACKING file.
  * Rationalise error handling to avoid some bogus perror calls with
    undefined errno.

 -- Frans Pop <fjp@debian.org>  Mon, 21 May 2007 17:02:14 +0200

## udpkg 1.06

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 all: configure
 	./configure && make
 
-configure: configure.in
+configure: configure.ac
 	autoconf
 
 .PHONY: clean distclean

=== debian/changelog ===
udpkg (1.06) unstable; urgency=low

  * Add --no-loadtemplate option to suppress calling debconf-loadtemplate
    (like configuring --without-loadtemplate but selected at run-time).

 -- Colin Watson <cjwatson@debian.org>  Tue, 26 Jun 2007 22:41:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.7.0), libdebian-installer4-dev (>= 0.41), autoconf
+XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/udpkg
 
 Package: udpkg
 XC-Package-Type: udeb

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 build-stamp:
 	dh_testdir
 	autoconf
-	./configure --without-depends --without-debug \
+	./configure --without-depends --without-debug --without-l10n \
 		--without-remove --with-admindir=/var/lib/dpkg
 	$(MAKE) small
 	touch build-stamp

## udpkg 1.07

=== debian/changelog ===
udpkg (1.07) unstable; urgency=low

  [ Colin Watson ]
  * Remove HACKING and add configure to svn instead.

 -- Frans Pop <fjp@debian.org>  Tue, 26 Aug 2008 10:03:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.7.0), libdebian-installer4-dev (>= 0.41), autoconf
-XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/udpkg
+Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/udpkg
 
 Package: udpkg
 XC-Package-Type: udeb

## udpkg 1.08

=== debian/changelog ===
udpkg (1.08) unstable; urgency=low

  [ Frans Pop ]
  * Remove myself as uploader.

  [ Aurelien Jarno ]
  * Add --print-os option to output DEB_HOST_ARCH_OS.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 12 Aug 2009 17:21:11 +0200

=== debian/control ===
Source: udpkg
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.7.0), libdebian-installer4-dev (>= 0.41), autoconf
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/udpkg

Package: udpkg
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: tiny dpkg clone

## udpkg 1.08build1

=== debian/changelog ===
udpkg (1.08build1) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sun, 07 Mar 2010 01:09:58 +0100

## udpkg 1.12

=== debian/changelog ===
udpkg (1.12) unstable; urgency=low

  * Redesign read_block interface, fixing crashes caused by memory leak fix
    (closes: #318879).

 -- Colin Watson <cjwatson@debian.org>  Thu, 04 Nov 2010 18:26:29 +0000

udpkg (1.11) unstable; urgency=low

  * Team upload
  * Use autoreconf at build time to avoid forgetting to run
    autogen.sh. Really Closes: #602134
    Thanks to Mehdi Dogguy for helping.

 -- Christian Perrier <bubulle@debian.org>  Thu, 04 Nov 2010 08:12:51 +0100

udpkg (1.10) unstable; urgency=low

  * Team upload
  * Fix memory leak. Closes: #318879
  * Rebuild after running autogen.sh. Closes: #602134

 -- Christian Perrier <bubulle@debian.org>  Tue, 02 Nov 2010 19:45:51 +0100

udpkg (1.09) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Frans Pop ]
  * Remove no longer needed Lintian override for missing Standards-
    Version field.

  [ Otavio Salvador ]
  * Drop autoconf build-depends having the configure script being
    generated at upload time.

  [ Jeremie Koenig ]
  * udpkg.c: use ENOENT instead of 'errno == 2' for ignoring non-existing
    maintainer scripts.

 -- Otavio Salvador <otavio@debian.org>  Mon, 01 Nov 2010 19:01:22 -0200

=== debian/control ===
Source: udpkg
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>
Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.7.0), libdebian-installer4-dev (>= 0.41), autoconf, automake
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/udpkg

Package: udpkg
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: tiny dpkg clone

## udpkg 1.13

=== debian/changelog ===
udpkg (1.13) unstable; urgency=low

  * Implement support for udebs compressed with xz.

 -- Philipp Kern <pkern@debian.org>  Wed, 23 Nov 2011 15:53:51 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.7.0), libdebian-installer4-dev (>= 0.41), autoconf, automake
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/udpkg
+Vcs-Browser: http://git.debian.org/?p=d-i/udpkg.git
+Vcs-Git: git://git.debian.org/d-i/udpkg.git
 
 Package: udpkg
 XC-Package-Type: udeb

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

export CFLAGS=-W -Wall -g

override_dh_auto_configure:
	autoreconf -vfi
	./configure --without-depends --without-debug --without-l10n \
		--without-remove --with-admindir=/var/lib/dpkg

override_dh_auto_build:
	$(MAKE) small

## udpkg 1.14

=== debian/changelog ===
udpkg (1.14) unstable; urgency=low

  * Team upload
  * Replace XC-package-Type with Package-Type

  [ Joey Hess ]
  * Add -c mode to list the files contained in a deb.
    Unlike dpkg, this only lists the files, not other information.

 -- Christian Perrier <bubulle@debian.org>  Sat, 16 Jun 2012 07:20:48 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Vcs-Git: git://git.debian.org/d-i/udpkg.git
 
 Package: udpkg
-XC-Package-Type: udeb
+Package-Type: udeb
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: tiny dpkg clone

## udpkg 1.16

=== debian/changelog ===
udpkg (1.16) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

  [ Colin Watson ]
  * Handle asprintf failures consistently.
  * Handle fgets failure in read_block.
  * Handle chdir failures consistently.

  [ Christian Perrier ]
  * Add myself to Uploaders

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jul 2013 12:59:30 +0200

udpkg (1.15) unstable; urgency=low

  * Team upload

  [ Colin Watson ]
  * Use dh-autoreconf.
  * Find the correct path to strip at configure time.
  * Override dh_auto_configure a little more carefully so as not to break
    cross-building.
  * Avoid warning in dpkg_remove in a different way to avoid tripping
    -Wunused-but-set-parameter.
  * Ignore some automake-related configure options, silencing warnings from
    dh_auto_configure.

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 May 2013 19:31:50 +0200

=== debian/control ===
Source: udpkg
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), libdebian-installer4-dev (>= 0.41), dh-autoreconf
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/udpkg.git
Vcs-Git: git://anonscm.debian.org/d-i/udpkg.git

Package: udpkg
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: tiny dpkg clone

## udpkg 1.17

=== debian/changelog ===
udpkg (1.17) unstable; urgency=medium

  [ Guillem Jover ]
  * Add support for uncompressed udeb members.
  * Add support for xz-compressed udeb members. (Closes: #739411)

 -- Christian Perrier <bubulle@debian.org>  Sun, 27 Jul 2014 08:37:06 +0200

## udpkg 1.18

=== debian/changelog ===
udpkg (1.18) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Feb 2016 17:43:32 +0100

=== debian/control ===
Source: udpkg
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), libdebian-installer4-dev (>= 0.41), dh-autoreconf
Vcs-Browser: https://anonscm.debian.org/cgit/d-i/udpkg.git
Vcs-Git: https://anonscm.debian.org/git/d-i/udpkg.git

Package: udpkg
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: tiny dpkg clone

## udpkg 1.19

=== debian/changelog ===
udpkg (1.19) unstable; urgency=medium

  * Team upload.

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 23 Sep 2018 19:16:44 +0200

=== debian/control ===
Source: udpkg
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), libdebian-installer4-dev (>= 0.41), dh-autoreconf
Vcs-Browser: https://salsa.debian.org/installer-team/udpkg
Vcs-Git: https://salsa.debian.org/installer-team/udpkg.git

Package: udpkg
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: tiny dpkg clone

## udpkg 1.19+nmu1

=== debian/changelog ===
udpkg (1.19+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:56:58 +0800

## udpkg 1.20

=== debian/changelog ===
udpkg (1.20) unstable; urgency=medium

  [ Holger Wansing ]
  * Remove trailing whitespaces from changelog file, to fix lintian tag.

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927557)

  [ Steve McIntyre ]
  * Add locking for the status file, so parallel udpkg invocations
    will not break the world. Closes: #987368
  * Add myself to Uploaders

 -- Steve McIntyre <93sam@debian.org>  Fri, 11 Jun 2021 02:46:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: debian-installer
 Priority: standard
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Bastian Blank <waldi@debian.org>, Christian Perrier <bubulle@debian.org>
+Uploaders: Bastian Blank <waldi@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), libdebian-installer4-dev (>= 0.41), dh-autoreconf
 Vcs-Browser: https://salsa.debian.org/installer-team/udpkg
 Vcs-Git: https://salsa.debian.org/installer-team/udpkg.git

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@ --with autoreconf

export CFLAGS=-W -Wall -g

autoreconf:
	autoreconf -f -i
	# autoreconf will not do this for us, since this package does not use
	# automake.
	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub ./

override_dh_autoreconf:
	dh_autoreconf debian/rules -- autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --without-depends --without-debug --without-l10n \
		--without-remove --with-admindir=/var/lib/dpkg

override_dh_auto_build:
	$(MAKE) small

## udpkg 1.21

=== debian/changelog ===
udpkg (1.21) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on debhelper.

  [ Samuel Thibault ]
  * debian/rules: Inherit CFLAGS from environment.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 31 Oct 2021 16:56:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: standard
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Steve McIntyre <93sam@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), libdebian-installer4-dev (>= 0.41), dh-autoreconf
+Build-Depends: debhelper, dpkg-dev (>= 1.7.0), libdebian-installer4-dev (>= 0.41), dh-autoreconf
 Vcs-Browser: https://salsa.debian.org/installer-team/udpkg
 Vcs-Git: https://salsa.debian.org/installer-team/udpkg.git

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,8 @@
 %:
 	dh $@ --with autoreconf
 
-export CFLAGS=-W -Wall -g
+CFLAGS?=-g
+CFLAGS+=-W -Wall
 
 autoreconf:
 	autoreconf -f -i

## udpkg 1.21trisquel1

=== debian/changelog ===
udpkg (1.21trisquel1) ecne; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 17 Apr 2025 04:55:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: udpkg
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Bastian Blank <waldi@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper, dpkg-dev (>= 1.7.0), libdebian-installer4-dev (>= 0.41), dh-autoreconf
 Vcs-Browser: https://salsa.debian.org/installer-team/udpkg
